Subject: Re: bug#11194: 24.0.95; sudo rm doesn't work with absolute directory paths on the file system

From: Michael Albinus <[email-masked]>
Date: Fri, 20 Apr 2012 15:35:50 +0200

Stefan Monnier <[email-masked]> writes:

[Sorry for the delay, I was busy in RL last days]

> I'd be happy to hear of arguments in favor of the current behavior of
> eshell/sudo w.r.t builtins.

I've checked the implementation of eshell/sudo: It simply let-binds
default-directory to "/sudo:user@host:dir", and let the command like rm
run. That's why the built-in version of rm is in place.

Another implementation of sudo would not be in the spirit of eshell, I
think.

>         Stefan

Best regards, Michael.